Agent fires monitor notification
curl --request POST \
--url https://api.example.com/api/internal/trade-cards/{card_id}/monitor-notify \
--header 'Content-Type: application/json' \
--data '
{
"notification": {
"strategy_name": "<string>",
"symbol": "<string>",
"trigger_rule": "<string>",
"current_price": 123,
"suggested_entry": 123,
"stop_price": 123,
"target_price": 123,
"expected_risk_dollars": 123,
"regime": "",
"fitness_score": 50,
"correlation_id": "<string>",
"market_snapshot": {
"ts": "2023-11-07T05:31:56Z",
"bar_symbol": "",
"bar_open": 123,
"bar_high": 123,
"bar_low": 123,
"bar_close": 123,
"bar_volume": 123,
"bar_vwap": 123,
"quote_bid": 123,
"quote_ask": 123,
"quote_bid_size": 123,
"quote_ask_size": 123,
"indicators": {},
"regime_dominant": "",
"regime_confidence": 123,
"signals": {},
"risk_day_dollars": 123,
"risk_pct_cap": 123,
"risk_loss_remaining": 123
}
},
"reason": ""
}
'import requests
url = "https://api.example.com/api/internal/trade-cards/{card_id}/monitor-notify"
payload = {
"notification": {
"strategy_name": "<string>",
"symbol": "<string>",
"trigger_rule": "<string>",
"current_price": 123,
"suggested_entry": 123,
"stop_price": 123,
"target_price": 123,
"expected_risk_dollars": 123,
"regime": "",
"fitness_score": 50,
"correlation_id": "<string>",
"market_snapshot": {
"ts": "2023-11-07T05:31:56Z",
"bar_symbol": "",
"bar_open": 123,
"bar_high": 123,
"bar_low": 123,
"bar_close": 123,
"bar_volume": 123,
"bar_vwap": 123,
"quote_bid": 123,
"quote_ask": 123,
"quote_bid_size": 123,
"quote_ask_size": 123,
"indicators": {},
"regime_dominant": "",
"regime_confidence": 123,
"signals": {},
"risk_day_dollars": 123,
"risk_pct_cap": 123,
"risk_loss_remaining": 123
}
},
"reason": ""
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
notification: {
strategy_name: '<string>',
symbol: '<string>',
trigger_rule: '<string>',
current_price: 123,
suggested_entry: 123,
stop_price: 123,
target_price: 123,
expected_risk_dollars: 123,
regime: '',
fitness_score: 50,
correlation_id: '<string>',
market_snapshot: {
ts: '2023-11-07T05:31:56Z',
bar_symbol: '',
bar_open: 123,
bar_high: 123,
bar_low: 123,
bar_close: 123,
bar_volume: 123,
bar_vwap: 123,
quote_bid: 123,
quote_ask: 123,
quote_bid_size: 123,
quote_ask_size: 123,
indicators: {},
regime_dominant: '',
regime_confidence: 123,
signals: {},
risk_day_dollars: 123,
risk_pct_cap: 123,
risk_loss_remaining: 123
}
},
reason: ''
})
};
fetch('https://api.example.com/api/internal/trade-cards/{card_id}/monitor-notify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"column_state": "",
"substate": "<string>",
"success": true,
"message": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Internal Trade Cards
Agent fires monitor notification
Agent fires a monitor notification when trigger conditions hit. Rate limited to 1 per card per 15 minutes; re-fire updates existing.
POST
/
api
/
internal
/
trade-cards
/
{card_id}
/
monitor-notify
Agent fires monitor notification
Path Parameters
Body
application/json